Bug 318936 - Crash when applying config - KScreen::Output::id (this=this@entry=0x0)
Summary: Crash when applying config - KScreen::Output::id (this=this@entry=0x0)
Status: RESOLVED FIXED
Alias: None
Product: KScreen
Classification: Unclassified
Component: kded (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
: 319080 319191 319253 319358 319422 319503 322869 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-04-26 16:09 UTC by Cliff Ingham
Modified: 2013-09-26 07:49 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (9.85 KB, text/plain)
2013-06-02 09:40 UTC, drdrnewman
Details
New crash information added by DrKonqi (10.10 KB, text/plain)
2013-06-06 14:34 UTC, drdrnewman
Details
New crash information added by DrKonqi (10.02 KB, text/plain)
2013-06-07 08:37 UTC, drdrnewman
Details
New crash information added by DrKonqi (12.62 KB, text/plain)
2013-06-08 07:13 UTC, drdrnewman
Details
New crash information added by DrKonqi (8.98 KB, text/plain)
2013-08-02 19:05 UTC, corktowner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cliff Ingham 2013-04-26 16:09:49 UTC
Waking the computer up from idle causes a segfault.  The screensaver is just set to show a blank screen.  This is on a dual-monitor setup, using NVidia driver.

Application: KDE Daemon (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdf85ee17c0 (LWP 5181))]

Thread 5 (Thread 0x7fdf5b654700 (LWP 5197)):
#0  0x00007fdf8374bb0d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fdf7423716c in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#2  0x00007fdf73072b27 in ?? () from /usr/lib/nvidia-313-updates/tls/libnvidia-tls.so.313.30
#3  0x00007fdf808d36cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdf80894d3c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdf80895175 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fdf808956ba in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fdf5b9444f6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#8  0x00007fdf808b8eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fdf742381b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#10 0x00007fdf80f69f8e in start_thread (arg=0x7fdf5b654700) at pthread_create.c:311
#11 0x00007fdf83759e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fdf5ac47700 (LWP 5198)):
#0  0x00007fdf8374bb0d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fdf7423716c in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#2  0x00007fdf73072b27 in ?? () from /usr/lib/nvidia-313-updates/tls/libnvidia-tls.so.313.30
#3  0x00007fdf808d36cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fdf80894d3c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fdf80895175 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fdf80895304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fdf84b7f036 in QEventDispatcherGlib::processEvents (this=0x7fdf400008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007fdf84b4f38f in QEventLoop::processEvents (this=this@entry=0x7fdf5ac46cc0, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007fdf84b4f618 in QEventLoop::exec (this=this@entry=0x7fdf5ac46cc0, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007fdf84a51410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#11 0x00007fdf66aa46e5 in KCupsConnection::run() () from /usr/lib/libkcupslib.so
#12 0x00007fdf84a53bec in QThreadPrivate::start (arg=0x154de90) at thread/qthread_unix.cpp:338
#13 0x00007fdf742381b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#14 0x00007fdf80f69f8e in start_thread (arg=0x7fdf5ac47700) at pthread_create.c:311
#15 0x00007fdf83759e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fdf5a446700 (LWP 5199)):
#0  __lll_unlock_wake () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:371
#1  0x00007fdf80f6d119 in _L_unlock_571 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fdf80f6d085 in __pthread_mutex_unlock_usercnt (mutex=0x7fdf74496e20, decr=<optimized out>) at pthread_mutex_unlock.c:52
#3  0x00007fdf7423215a in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#4  0x00007fdf74237196 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#5  0x00007fdf73072b27 in ?? () from /usr/lib/nvidia-313-updates/tls/libnvidia-tls.so.313.30
#6  0x00007fdf808d36cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fdf80894d3c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007fdf80895175 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fdf80895304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fdf84b7f036 in QEventDispatcherGlib::processEvents (this=0x7fdf3c0008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0x00007fdf84b4f38f in QEventLoop::processEvents (this=this@entry=0x7fdf5a445d00, flags=...) at kernel/qeventloop.cpp:149
#12 0x00007fdf84b4f618 in QEventLoop::exec (this=this@entry=0x7fdf5a445d00, flags=...) at kernel/qeventloop.cpp:204
#13 0x00007fdf84a51410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#14 0x00007fdf84a53bec in QThreadPrivate::start (arg=0x1610c50) at thread/qthread_unix.cpp:338
#15 0x00007fdf742381b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#16 0x00007fdf80f69f8e in start_thread (arg=0x7fdf5a446700) at pthread_create.c:311
#17 0x00007fdf83759e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fdf59c45700 (LWP 5200)):
#0  0x00007fdf8374d3cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fdf808951dc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fdf80895304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fdf84b7f036 in QEventDispatcherGlib::processEvents (this=0x7fdf340008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fdf84b4f38f in QEventLoop::processEvents (this=this@entry=0x7fdf59c44cd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fdf84b4f618 in QEventLoop::exec (this=this@entry=0x7fdf59c44cd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fdf84a51410 in QThread::exec (this=this@entry=0x1556740) at thread/qthread.cpp:542
#7  0x00007fdf84b30edf in QInotifyFileSystemWatcherEngine::run (this=0x1556740) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fdf84a53bec in QThreadPrivate::start (arg=0x1556740) at thread/qthread_unix.cpp:338
#9  0x00007fdf742381b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#10 0x00007fdf80f69f8e in start_thread (arg=0x7fdf59c45700) at pthread_create.c:311
#11 0x00007fdf83759e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fdf85ee17c0 (LWP 5181)):
[KCrash Handler]
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.81/src/output.cpp:104
#7  0x00007fdf687affbc in Generator::extendToRight (this=this@entry=0x14c79a0, outputs=...) at /build/buildd/kscreen-0.0.81/kded/generator.cpp:313
#8  0x00007fdf687b1f94 in Generator::idealConfig (this=0x14c79a0) at /build/buildd/kscreen-0.0.81/kded/generator.cpp:83
#9  0x00007fdf687aa4f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x149ccb0) at /build/buildd/kscreen-0.0.81/kded/daemon.cpp:110
#10 0x00007fdf687aa77d in KScreenDaemon::applyConfig (this=0x149ccb0) at /build/buildd/kscreen-0.0.81/kded/daemon.cpp:90
#11 0x00007fdf84b650ef in QMetaObject::activate (sender=sender@entry=0x14fe2e0, m=m@entry=0x7fdf687a0b60 <KScreen::Output::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#12 0x00007fdf6859aa83 in KScreen::Output::isConnectedChanged (this=this@entry=0x14fe2e0) at /build/buildd/libkscreen-0.0.81/obj-x86_64-linux-gnu/src/output.moc:253
#13 0x00007fdf6859aaa3 in KScreen::Output::setConnected (this=this@entry=0x14fe2e0, connected=<optimized out>) at /build/buildd/libkscreen-0.0.81/src/output.cpp:308
#14 0x00007fdf681684d2 in XRandROutput::updateKScreenOutput (this=this@entry=0x150d750, output=0x14fe2e0) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandroutput.cpp:265
#15 0x00007fdf68163469 in XRandRConfig::updateKScreenConfig (this=0x150d7d0, config=0x13a58b0) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandrconfig.cpp:107
#16 0x00007fdf68599d4c in KScreen::ConfigMonitor::Private::updateConfigs (this=0x14c04f0) at /build/buildd/libkscreen-0.0.81/src/configmonitor.cpp:46
#17 0x00007fdf68599d9d in KScreen::ConfigMonitor::notifyUpdate (this=0x1515290) at /build/buildd/libkscreen-0.0.81/src/configmonitor.cpp:89
#18 0x00007fdf68160f22 in XRandR::updateOutput (this=<optimized out>, output=584) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandr.cpp:116
#19 0x00007fdf84b650ef in QMetaObject::activate (sender=sender@entry=0x14b24f0, m=m@entry=0x7fdf6836c980 <XRandRX11Helper::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fffcf892ce0) at kernel/qobject.cpp:3539
#20 0x00007fdf68161f52 in XRandRX11Helper::outputChanged (this=this@entry=0x14b24f0, _t1=584) at /build/buildd/libkscreen-0.0.81/obj-x86_64-linux-gnu/backends/xrandr/xrandrx11helper.moc:120
#21 0x00007fdf681624d5 in XRandRX11Helper::x11Event (this=0x14b24f0, event=0x7fffcf892e30) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandrx11helper.cpp:140
#22 0x00007fdf858f897d in publicX11Event (e=0x7fffcf892e30, this=<optimized out>) at ../../kdeui/kernel/ksystemeventfilter.cpp:43
#23 KSystemEventFilterPrivate::filterEvent (this=0x14fa390, message=0x7fffcf892e30) at ../../kdeui/kernel/ksystemeventfilter.cpp:102
#24 0x00007fdf84b4311e in QAbstractEventDispatcher::filterEvent (this=0x0, message=0x0, message@entry=0x7fffcf892e30) at kernel/qabstracteventdispatcher.cpp:539
#25 0x00007fdf83f9c028 in x11EventSourceDispatch (s=0x129c400, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:143
#26 0x00007fdf80894f05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007fdf80895248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007fdf80895304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007fdf84b7f016 in QEventDispatcherGlib::processEvents (this=0x10ad670, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#30 0x00007fdf83f9c1ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x00007fdf84b4f38f in QEventLoop::processEvents (this=this@entry=0x7fffcf893200, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007fdf84b4f618 in QEventLoop::exec (this=this@entry=0x7fffcf893200, flags=...) at kernel/qeventloop.cpp:204
#33 0x00007fdf84b54cf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#34 0x00007fdf83ef4ffc in QApplication::exec () at kernel/qapplication.cpp:3828
#35 0x00007fdf6ef01050 in kdemain (argc=1, argv=0x1294ec0) at ../../kded/kded.cpp:924
#36 0x00000000004084ea in launch (argc=argc@entry=1, _name=_name@entry=0x40b167 "kded4", args=args@entry=0x0, cwd=cwd@entry=0x0, envc=envc@entry=0, envs=<optimized out>, envs@entry=0x0, reset_env=reset_env@entry=false, tty=tty@entry=0x0, avoid_loops=avoid_loops@entry=false, startup_id_str=startup_id_str@entry=0x40aff6 "0") at ../../kinit/kinit.cpp:738
#37 0x0000000000405b69 in main (argc=4, argv=<optimized out>, envp=0x7fffcf893e80) at ../../kinit/kinit.cpp:1853




Reproducible: Always

Steps to Reproduce:
1. Let machine turn the monitors off
2. Move the mouse to wake it up
3. kded segfault



Dual monitors.  Nvidia driver.  Ubuntu 13.04
Comment 1 Alex Fiestas 2013-04-28 12:40:23 UTC
Can you provide the following feedback:

-execute kdebugdialog and enable "kded" and "KSRandr".
-Execute kded4 in a terminal (you will have to kill the previous kded)
-Reproduce the bug

Thanks !
Comment 2 Cliff Ingham 2013-04-29 15:56:42 UTC
Here is the output from the terminal from starting kded4 up to the crash:

inghamn@aoi:~$ kded4
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "networkstatus"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "colord"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "dnssdwatcher"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "powerdevil"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "ktimezoned"
kded(4572)/KSRandr XRandRX11Helper::XRandRX11Helper: Detected XRandR 1.4
kded(4572)/KSRandr XRandRX11Helper::XRandRX11Helper: Event Base:  90
kded(4572)/KSRandr XRandRX11Helper::XRandRX11Helper: Event Error:  147
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "kscreen"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "statusnotifierwatcher"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "solidautoeject"
QDBusObjectPath: invalid path ""
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "obexftpdaemon"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "khotkeys"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "wacomtablet"
QDBusObjectPath: invalid path "/modules/muon-notifier"
kded(4572): The kded module name ' "muon-notifier" ' is invalid! 
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "muon-notifier"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "printmanager"
QDBusConnection for control created "/Mixers/PulseAudio__Playback_Devices_1/alsa_output_pci_0000_00_1b_0_analog_stereo" 
QDBusConnection for control created "/Mixers/PulseAudio__Capture_Devices_1/alsa_input_pci_0000_00_1b_0_analog_stereo" 
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "kmixd"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "notificationhelper"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "kwrited"
QObject::connect: Cannot connect (null)::deviceFound(Device*) to BlueDevilDaemon::deviceFound(Device*)
QObject::connect: Cannot connect QTimer::timeout() to (null)::stopDiscovery()
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "bluedevil"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "freespacenotifier"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "keyboard"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "device_automounter"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "remotedirnotify"                  
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "nepomuksearchmodule"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "appmenu"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "networkmanagement"
kded(4572)/kded4 Kded::loadModule: Successfully loaded module "ktouchpadenabler"
inghamn@aoi:~$ Traceback (most recent call last):
  File "/usr/share/apport/apport-checkreports", line 17, in <module>
    from apport.fileutils import get_new_reports, get_new_system_reports
ImportError: No module named apport.fileutils
kded(4572)/KSRandr: BEGIN: Applying KScreen Config
kded(4572)/KSRandr  : BEGIN: Calculating screen size
kded(4572)/KSRandr     XRandRConfig::screenSize: Output:  "DP-0"  Size:  QSize(1680, 1050)  Pos:  QPoint(1680,0)
kded(4572)/KSRandr     XRandRConfig::screenSize: Output:  "DP-1"  Size:  QSize(1680, 1050)  Pos:  QPoint(0,0)
kded(4572)/KSRandr     XRandRConfig::screenSize: Disabled/Disconnected output:  "DP-2"
kded(4572)/KSRandr     XRandRConfig::screenSize: Disabled/Disconnected output:  "DP-3"
kded(4572)/KSRandr     XRandRConfig::screenSize: Requested screen size is QSize(3360, 1050)
kded(4572)/KSRandr  : END__: Calculating screen size [Took: 0s]
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig: 2
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig: Actions to perform:
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig:   Primary Output:  584
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig:   Screen Size:  false
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig:   Disable outputs:  false
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig:   Change outputs:  false
kded(4572)/KSRandr   XRandRConfig::applyKScreenConfig:   Enable outputs:  false
kded(4572)/KSRandr: END__: Applying KScreen Config [Took: 0.001s]
QDBusConnection for control created "/Mixers/PulseAudio__Playback_Streams_1/restore_sink_input_by_media_role_event" 
kded(4572) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(4572) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(4572) ProfileUtils::createIccProfile: EDID ICC Profile already exists "/home/inghamn/.local/share/icc/edid-3f99248ff6b04d61e4a8a06eb3256356.icc" 
X Error: BadAtom (invalid Atom parameter) 5
  Major opcode: 18 (X_ChangeProperty)
  Resource id:  0x0
kded(4572) ProfileUtils::createIccProfile: EDID ICC Profile already exists "/home/inghamn/.local/share/icc/edid-a4d199d403eb58480eff740cf801ed0a.icc" 
kded(4572) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(4572) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(4572) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 
kded(4572) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(4572) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 
kded(4572) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 
kded(4572)/KSRandr: BEGIN: RRNotify_Property
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Timestamp:  12697654
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Output:  584
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Property:  EDID
kded(4572)/KSRandr   XRandRX11Helper::x11Event: State (newValue, Deleted):  1
kded(4572)/KSRandr: END__: RRNotify_Property [Took: 0s]
kded(4572)/KSRandr: BEGIN: RRNotify_OutputChange
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Output:  584
kded(4572)/KSRandr   XRandRX11Helper::x11Event: CRTC:  582
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Mode:  585
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Rotation:  "RR_Rotate_0"
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Connection:  "RR_Disconnected"
kded(4572)/KSRandr   XRandRX11Helper::x11Event: Subpixel Order:  0
KCrash: Attempting to start /usr/bin/kded4 from kdeinit
sock_file=/home/inghamn/.kde/socket-aoi/kdeinit4__0
KCrash: Application 'kded4' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/inghamn/.kde/socket-aoi/kdeinit4__0
Comment 3 Cliff Ingham 2013-04-29 15:59:58 UTC
Here's the backtrace from the segfault that occurred while running the terminal above:

Application: KDE Daemon (kded4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f8b443ef7c0 (LWP 4572))]

Thread 5 (Thread 0x7f8b251be700 (LWP 4575)):
#0  0x00007f8b3f1e235c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f8b3f1e25b9 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8b3f1a32f0 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b41b8c036 in QEventDispatcherGlib::processEvents (this=0x7f8b200008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f8b41b5c38f in QEventLoop::processEvents (this=this@entry=0x7f8b251bdcd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8b41b5c618 in QEventLoop::exec (this=this@entry=0x7f8b251bdcd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f8b41a5e410 in QThread::exec (this=this@entry=0x24426a0) at thread/qthread.cpp:542
#7  0x00007f8b41b3dedf in QInotifyFileSystemWatcherEngine::run (this=0x24426a0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f8b41a60bec in QThreadPrivate::start (arg=0x24426a0) at thread/qthread_unix.cpp:338
#9  0x00007f8b2b8411b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#10 0x00007f8b3f675f8e in start_thread (arg=0x7f8b251be700) at pthread_create.c:311
#11 0x00007f8b43d1de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f8b0d6b6700 (LWP 4582)):
#0  0x00007f8b3f67907f in __pthread_mutex_unlock_usercnt (mutex=0x258d010, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  0x00007f8b3f1e25f1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8b3f1a31d1 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b3f1a36ba in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f8b0d9a64f6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5  0x00007f8b3f1c6eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f8b2b8411b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#7  0x00007f8b3f675f8e in start_thread (arg=0x7f8b0d6b6700) at pthread_create.c:311
#8  0x00007f8b43d1de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f8b0cca9700 (LWP 4583)):
#0  0x00007f8b3f1e2359 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f8b3f1e25e9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8b3f1a28f3 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b3f1a30fe in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f8b3f1a3304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f8b41b8c036 in QEventDispatcherGlib::processEvents (this=0x7f8af00008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f8b41b5c38f in QEventLoop::processEvents (this=this@entry=0x7f8b0cca8cc0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f8b41b5c618 in QEventLoop::exec (this=this@entry=0x7f8b0cca8cc0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f8b41a5e410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#9  0x00007f8b1eb946e5 in KCupsConnection::run() () from /usr/lib/libkcupslib.so
#10 0x00007f8b41a60bec in QThreadPrivate::start (arg=0x25baa20) at thread/qthread_unix.cpp:338
#11 0x00007f8b2b8411b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#12 0x00007f8b3f675f8e in start_thread (arg=0x7f8b0cca9700) at pthread_create.c:311
#13 0x00007f8b43d1de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f8b07fff700 (LWP 4584)):
#0  0x00007f8b43d113cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8b3f1a31dc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8b3f1a3304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8b41b8c036 in QEventDispatcherGlib::processEvents (this=0x7f8af40008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f8b41b5c38f in QEventLoop::processEvents (this=this@entry=0x7f8b07ffed00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f8b41b5c618 in QEventLoop::exec (this=this@entry=0x7f8b07ffed00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f8b41a5e410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f8b41a60bec in QThreadPrivate::start (arg=0x2510ab0) at thread/qthread_unix.cpp:338
#8  0x00007f8b2b8411b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#9  0x00007f8b3f675f8e in start_thread (arg=0x7f8b07fff700) at pthread_create.c:311
#10 0x00007f8b43d1de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f8b443ef7c0 (LWP 4572)):
[KCrash Handler]
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.81/src/output.cpp:104
#7  0x00007f8b25c25fbc in Generator::extendToRight (this=this@entry=0x2433910, outputs=...) at /build/buildd/kscreen-0.0.81/kded/generator.cpp:313
#8  0x00007f8b25c27f94 in Generator::idealConfig (this=0x2433910) at /build/buildd/kscreen-0.0.81/kded/generator.cpp:83
#9  0x00007f8b25c204f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x240b540) at /build/buildd/kscreen-0.0.81/kded/daemon.cpp:110
#10 0x00007f8b25c2077d in KScreenDaemon::applyConfig (this=0x240b540) at /build/buildd/kscreen-0.0.81/kded/daemon.cpp:90
#11 0x00007f8b41b720ef in QMetaObject::activate (sender=sender@entry=0x2433b70, m=m@entry=0x7f8b25c16b60 <KScreen::Output::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#12 0x00007f8b25a10a83 in KScreen::Output::isConnectedChanged (this=this@entry=0x2433b70) at /build/buildd/libkscreen-0.0.81/obj-x86_64-linux-gnu/src/output.moc:253
#13 0x00007f8b25a10aa3 in KScreen::Output::setConnected (this=this@entry=0x2433b70, connected=<optimized out>) at /build/buildd/libkscreen-0.0.81/src/output.cpp:308
#14 0x00007f8b255de4d2 in XRandROutput::updateKScreenOutput (this=this@entry=0x23fdc10, output=0x2433b70) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandroutput.cpp:265
#15 0x00007f8b255d9469 in XRandRConfig::updateKScreenConfig (this=0x23fbeb0, config=0x2434060) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandrconfig.cpp:107
#16 0x00007f8b25a0fd4c in KScreen::ConfigMonitor::Private::updateConfigs (this=0x243b900) at /build/buildd/libkscreen-0.0.81/src/configmonitor.cpp:46
#17 0x00007f8b25a0fd9d in KScreen::ConfigMonitor::notifyUpdate (this=0x243b850) at /build/buildd/libkscreen-0.0.81/src/configmonitor.cpp:89
#18 0x00007f8b255d6f22 in XRandR::updateOutput (this=<optimized out>, output=584) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandr.cpp:116
#19 0x00007f8b41b720ef in QMetaObject::activate (sender=sender@entry=0x242dfe0, m=m@entry=0x7f8b257e2980 <XRandRX11Helper::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fffe6fb2570) at kernel/qobject.cpp:3539
#20 0x00007f8b255d7f52 in XRandRX11Helper::outputChanged (this=this@entry=0x242dfe0, _t1=584) at /build/buildd/libkscreen-0.0.81/obj-x86_64-linux-gnu/backends/xrandr/xrandrx11helper.moc:120
#21 0x00007f8b255d84d5 in XRandRX11Helper::x11Event (this=0x242dfe0, event=0x7fffe6fb26c0) at /build/buildd/libkscreen-0.0.81/backends/xrandr/xrandrx11helper.cpp:140
#22 0x00007f8b434f397d in publicX11Event (e=0x7fffe6fb26c0, this=<optimized out>) at ../../kdeui/kernel/ksystemeventfilter.cpp:43
#23 KSystemEventFilterPrivate::filterEvent (this=0x24022d0, message=0x7fffe6fb26c0) at ../../kdeui/kernel/ksystemeventfilter.cpp:102
#24 0x00007f8b41b5011e in QAbstractEventDispatcher::filterEvent (this=0x0, message=0x0, message@entry=0x7fffe6fb26c0) at kernel/qabstracteventdispatcher.cpp:539
#25 0x00007f8b42867028 in x11EventSourceDispatch (s=0x20cd210, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:143
#26 0x00007f8b3f1a2f05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f8b3f1a3248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f8b3f1a3304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f8b41b8c016 in QEventDispatcherGlib::processEvents (this=0x2095610, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#30 0x00007f8b428671ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x00007f8b41b5c38f in QEventLoop::processEvents (this=this@entry=0x7fffe6fb2a90, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007f8b41b5c618 in QEventLoop::exec (this=this@entry=0x7fffe6fb2a90, flags=...) at kernel/qeventloop.cpp:204
#33 0x00007f8b41b61cf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#34 0x00007f8b427bfffc in QApplication::exec () at kernel/qapplication.cpp:3828
#35 0x00007f8b43ff5050 in kdemain (argc=1, argv=0x7fffe6fb2e58) at ../../kded/kded.cpp:924
#36 0x00007f8b43c45ea5 in __libc_start_main (main=0x4006d0 <main(int, char**)>, argc=1, ubp_av=0x7fffe6fb2e58, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffe6fb2e48) at libc-start.c:260
#37 0x0000000000400701 in _start ()
Comment 4 Alex Fiestas 2013-04-30 08:34:45 UTC
This is not a laptop machine isn't it?

can you provide the output of "kscreen-console bug" ?

thanks !
Comment 5 Cliff Ingham 2013-04-30 13:14:53 UTC
No this is a desktop machine.  A Dell Precision T1500 with a dual-head NVidia card.
The monitors are identical ViewSonic VA2226w

Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
START 
Config::current() took 206 milliseconds 

========================xrandr --verbose========================== 

Screen 0: minimum 8 x 8, current 3360 x 1050, maximum 8192 x 8192
DP-0 connected 1680x1050+1680+0 (0x249) normal (normal left inverted right x axis y axis) 495mm x 291mm
	Identifier: 0x248
	Timestamp:  29476
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       0
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff005a63512001010101
		2a11010380311d782ee525a65444a125
		145054bfef80b300a94081808140714f
		01010101010121399030621a274068b0
		3600ef231100001c000000ff00515453
		3037343230313634350a000000fd0032
		4b1e5211000a202020202020000000fc
		00564132323236772d330a202020004c
	SignalFormat:	TMDS
		supported: TMDS        
	ConnectorType:	DisplayPort
	ConnectorNumber: 0 (0x00000000)
	_ConnectorLocation: 0 (0x00000000)
  1680x1050 (0x249)  146.2MHz -HSync +VSync *current +preferred
        h: width  1680 start 1784 end 1960 total 2240 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1059 total 1089           clock   60.0Hz
  1600x1200 (0x24a)  162.0MHz +HSync +VSync
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1280x1024 (0x24b)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0x24c)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x960 (0x24d)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1152x864 (0x24e)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1024x768 (0x24f)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.0KHz
        v: height  768 start  769 end  772 total  800           clock   75.0Hz
  1024x768 (0x250)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x251)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x252)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x253)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x254)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x255)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x256)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x257)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  696 total  832 skew    0 clock   37.9KHz
        v: height  480 start  481 end  484 total  520           clock   72.8Hz
  640x480 (0x258)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
DP-1 connected 1680x1050+0+0 (0x249) normal (normal left inverted right x axis y axis) 495mm x 291mm
	Identifier: 0x259
	Timestamp:  29476
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       1
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff005a63512001010101
		2a11010380311d782ee525a65444a125
		145054bfef80b300a94081808140714f
		01010101010121399030621a274068b0
		3600ef231100001c000000ff00515453
		3037343230313835350a000000fd0032
		4b1e5211000a202020202020000000fc
		00564132323236772d330a2020200049
	SignalFormat:	TMDS
		supported: TMDS        
	ConnectorType:	DisplayPort
	ConnectorNumber: 1 (0x00000001)
	_ConnectorLocation: 1 (0x00000001)
  1680x1050 (0x249)  146.2MHz -HSync +VSync *current +preferred
        h: width  1680 start 1784 end 1960 total 2240 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1059 total 1089           clock   60.0Hz
  1600x1200 (0x24a)  162.0MHz +HSync +VSync
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1280x1024 (0x24b)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0x24c)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x960 (0x24d)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1152x864 (0x24e)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1024x768 (0x24f)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.0KHz
        v: height  768 start  769 end  772 total  800           clock   75.0Hz
  1024x768 (0x250)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x251)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x252)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x253)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x254)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x255)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x256)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x257)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  696 total  832 skew    0 clock   37.9KHz
        v: height  480 start  481 end  484 total  520           clock   72.8Hz
  640x480 (0x258)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
DP-2 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x25a
	Timestamp:  29476
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	SignalFormat:	DisplayPort
		supported: DisplayPort 
	ConnectorType:	DisplayPort
	ConnectorNumber: 0 (0x00000000)
	_ConnectorLocation: 0 (0x00000000)
DP-3 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x25b
	Timestamp:  29476
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	SignalFormat:	DisplayPort
		supported: DisplayPort 
	ConnectorType:	DisplayPort
	ConnectorNumber: 1 (0x00000001)
	_ConnectorLocation: 1 (0x00000001)
 

========================Outputs=================================== 

Screen: 
maxSize: QSize(8192, 8192) 
minSize: QSize(8, 8) 
currentSize: QSize(3360, 1050) 

-----------------------------------------------------
 
Id:  584 
Name:  "DP-0" 
Type:  "unknown" 
Connected:  true 
Enabled:  true 
Primary:  true 
Rotation:  1 
Pos:  QPoint(1680,0) 
Size:  QSize(1680, 1050) 
Clones:  true 
Mode:  "585" 
Preferred Mode:  "585" 
Preferred modes:  ("585") 
Modes:  
	 "586"    "1600x1200"   QSize(1600, 1200)   60 
	 "597"    "800x600"   QSize(800, 600)   56.25 
	 "587"    "1280x1024"   QSize(1280, 1024)   75.0247 
	 "598"    "640x480"   QSize(640, 480)   75 
	 "588"    "1280x1024"   QSize(1280, 1024)   60.0197 
	 "599"    "640x480"   QSize(640, 480)   72.8088 
	 "589"    "1280x960"   QSize(1280, 960)   60 
	 "600"    "640x480"   QSize(640, 480)   59.9405 
	 "590"    "1152x864"   QSize(1152, 864)   75 
	 "591"    "1024x768"   QSize(1024, 768)   75.0286 
	 "592"    "1024x768"   QSize(1024, 768)   70.0694 
	 "593"    "1024x768"   QSize(1024, 768)   60.0038 
	 "594"    "800x600"   QSize(800, 600)   75 
	 "595"    "800x600"   QSize(800, 600)   72.1876 
	 "585"    "1680x1050"   QSize(1680, 1050)   59.9543 
	 "596"    "800x600"   QSize(800, 600)   60.3165 
EDID Info:  
	Device ID:  "xrandr-VA2226w-3-QTS074201645" 
	Name:  "VA2226w-3" 
	Vendor:  "" 
	Serial:  "QTS074201645" 
	EISA ID:  "" 
	Hash:  "3f99248ff6b04d61e4a8a06eb3256356" 
	Width:  49 
	Height:  29 
	Gamma:  2 
	Red:  QQuaternion(scalar:1, vector:(0.651367, 0.328125, 0)) 
	Green:  QQuaternion(scalar:1, vector:(0.266602, 0.629883, 0)) 
	Blue:  QQuaternion(scalar:1, vector:(0.144531, 0.0800781, 0)) 
	White:  QQuaternion(scalar:1, vector:(0.313477, 0.329102, 0)) 

-----------------------------------------------------
 
Id:  601 
Name:  "DP-1" 
Type:  "unknown" 
Connected:  true 
Enabled:  true 
Primary:  false 
Rotation:  1 
Pos:  QPoint(0,0) 
Size:  QSize(1680, 1050) 
Clones:  true 
Mode:  "585" 
Preferred Mode:  "585" 
Preferred modes:  ("585") 
Modes:  
	 "586"    "1600x1200"   QSize(1600, 1200)   60 
	 "597"    "800x600"   QSize(800, 600)   56.25 
	 "587"    "1280x1024"   QSize(1280, 1024)   75.0247 
	 "598"    "640x480"   QSize(640, 480)   75 
	 "588"    "1280x1024"   QSize(1280, 1024)   60.0197 
	 "599"    "640x480"   QSize(640, 480)   72.8088 
	 "589"    "1280x960"   QSize(1280, 960)   60 
	 "600"    "640x480"   QSize(640, 480)   59.9405 
	 "590"    "1152x864"   QSize(1152, 864)   75 
	 "591"    "1024x768"   QSize(1024, 768)   75.0286 
	 "592"    "1024x768"   QSize(1024, 768)   70.0694 
	 "593"    "1024x768"   QSize(1024, 768)   60.0038 
	 "594"    "800x600"   QSize(800, 600)   75 
	 "595"    "800x600"   QSize(800, 600)   72.1876 
	 "585"    "1680x1050"   QSize(1680, 1050)   59.9543 
	 "596"    "800x600"   QSize(800, 600)   60.3165 
EDID Info:  
	Device ID:  "xrandr-VA2226w-3-QTS074201855" 
	Name:  "VA2226w-3" 
	Vendor:  "" 
	Serial:  "QTS074201855" 
	EISA ID:  "" 
	Hash:  "a4d199d403eb58480eff740cf801ed0a" 
	Width:  49 
	Height:  29 
	Gamma:  2 
	Red:  QQuaternion(scalar:1, vector:(0.651367, 0.328125, 0)) 
	Green:  QQuaternion(scalar:1, vector:(0.266602, 0.629883, 0)) 
	Blue:  QQuaternion(scalar:1, vector:(0.144531, 0.0800781, 0)) 
	White:  QQuaternion(scalar:1, vector:(0.313477, 0.329102, 0)) 

-----------------------------------------------------
 
Id:  602 
Name:  "DP-2" 
Type:  "unknown" 
Connected:  false 

-----------------------------------------------------
 
Id:  603 
Name:  "DP-3" 
Type:  "unknown" 
Connected:  false 

========================Configurations============================ 

Configs in:  "/home/inghamn/.kde/share/apps/kscreen/" 
Number of files:  1 

"9101e70551c8da79f8078da76135ea22" 
"[
 {
  "enabled" : true,
  "id" : "3f99248ff6b04d61e4a8a06eb3256356",
  "metadata" :   {
   "fullname" : "xrandr-VA2226w-3-QTS074201645",
   "name" : "DP-1"
  },
  "mode" :   {
   "refresh" : 59.9543,
   "size" :    {
    "height" : 1050,
    "width" : 1680
   }
  },
  "pos" :   {
   "x" : 1680,
   "y" : 0
  },
  "primary" : true,
  "rotation" : 1
 },
 {
  "enabled" : true,
  "id" : "a4d199d403eb58480eff740cf801ed0a",
  "metadata" :   {
   "fullname" : "xrandr-VA2226w-3-QTS074201855",
   "name" : "DP-2"
  },
  "mode" :   {
   "refresh" : 59.9543,
   "size" :    {
    "height" : 1050,
    "width" : 1680
   }
  },
  "pos" :   {
   "x" : 0,
   "y" : 0
  },
  "primary" : false,
  "rotation" : 1
 }
]"
Comment 6 Cliff Ingham 2013-04-30 13:21:10 UTC
Additional note, now that I understand a little more.

The segfault occurs when turning the monitors back on after they were switched off by the Energy Saving system.
Comment 7 Alex Fiestas 2013-04-30 14:30:52 UTC
*** Bug 319080 has been marked as a duplicate of this bug. ***
Comment 8 Daniel Vrátil 2013-05-02 08:32:22 UTC
*** Bug 319191 has been marked as a duplicate of this bug. ***
Comment 9 Daniel Vrátil 2013-05-06 09:04:27 UTC
*** Bug 319358 has been marked as a duplicate of this bug. ***
Comment 10 Matthew Greene 2013-05-06 13:45:00 UTC
I noticed that the status is NEEDSINFO WAITINGFORINFO, but I wasn't able to find out what that status meant (it's not listed in the list of statuses that are described here: https://bugs.kde.org/page.cgi?id=fields.html#status). 

But, if it means that any additional information is required for this bug to be actionable, I'd be happy to help. Does anyone know if that's what this status means?

Thanks!
Comment 11 Alex Fiestas 2013-05-06 20:49:49 UTC
Sorry, the information was provided but we forgot to change the status.

This should be fixed with 0.0.92, is that so?
Comment 12 Christoph Feck 2013-05-06 22:43:57 UTC
Alex, could you set the status correctly? We get several duplicates from 13.04.
Comment 13 Christoph Feck 2013-05-06 22:44:25 UTC
*** Bug 319422 has been marked as a duplicate of this bug. ***
Comment 14 Rohan Garg 2013-05-08 11:14:39 UTC
Hi
As part of the SRU process in Ubuntu we require testing of our packages before the package is released into Ubuntu.

The kscreen packages to be tested can be found here https://launchpad.net/~kubuntu-ppa/+archive/experimental

The SRU bug can be found here : https://bugs.launchpad.net/ubuntu/+source/kscreen/+bug/1177333
Comment 15 Daniel Vrátil 2013-05-08 23:16:45 UTC
*** Bug 319503 has been marked as a duplicate of this bug. ***
Comment 16 drdrnewman 2013-06-02 09:40:49 UTC
Created attachment 80253 [details]
New crash information added by DrKonqi

kded4 ($Id$) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

Sleeping. This always happens when I have left the machine for several hours, such as overnight. 

- Unusual behavior I noticed:

It looks like the screensaver or locker software has kicked in, crashing kded, kdeinit and nepomukservicestube when programs scheduled by cron or mythtv try to start. One of them reliees on a working X display to start adidemux.

This happened after the latest update to KDE sent out in Ubuntu 13.04. Previously I had the screensaver set to None, so it never happened, but that is no longer possible to achieve from the screen locker settings in System Settings.

-- Backtrace (Reduced):
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.92/src/output.cpp:104
#7  0x00007f1c495fcafc in Generator::extendToRight (this=this@entry=0xec15b0, outputs=...) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:322
#8  0x00007f1c495fec74 in Generator::idealConfig (this=0xec15b0) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:83
#9  0x00007f1c495f73f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0xe9ed90) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#10 0x00007f1c495f767d in KScreenDaemon::applyConfig (this=0xe9ed90) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89
Comment 17 drdrnewman 2013-06-06 14:34:00 UTC
Created attachment 80344 [details]
New crash information added by DrKonqi

kded4 (4.10.3) on KDE Platform 4.10.3 using Qt 4.8.4

- What I was doing when the application crashed:

I left the computer for an hour. When I came back kded had crashed and I got this error.

-- Backtrace (Reduced):
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.92/src/output.cpp:104
#7  0x00007f076d4d9afc in Generator::extendToRight (this=this@entry=0x24af370, outputs=...) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:322
#8  0x00007f076d4dbc74 in Generator::idealConfig (this=0x24af370) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:83
#9  0x00007f076d4d43f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x248cb80) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#10 0x00007f076d4d467d in KScreenDaemon::applyConfig (this=0x248cb80) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89
Comment 18 Daniel Vrátil 2013-06-06 16:06:11 UTC
*** Bug 319253 has been marked as a duplicate of this bug. ***
Comment 19 drdrnewman 2013-06-07 08:37:33 UTC
Created attachment 80372 [details]
New crash information added by DrKonqi

kded4 (4.10.3) on KDE Platform 4.10.3 using Qt 4.8.4

- What I was doing when the application crashed:

leaving the computer running overnight with mythtv running. I noticed that there were dozens of mythlogserver processes: perhaps a result of kded being dead.

- Custom settings of the application:

In case it was an interaction with the Nvidia proprietary driver, I had upgraded to the latest version, from 307 to 313. It had not been automatically updated when I upgraded from Kubuntu 12.10 to 13.04. This made no difference to the bug.

-- Backtrace (Reduced):
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.92/src/output.cpp:104
#7  0x00007f9a05a0fafc in Generator::extendToRight (this=this@entry=0x2531090, outputs=...) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:322
#8  0x00007f9a05a11c74 in Generator::idealConfig (this=0x2531090) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:83
#9  0x00007f9a05a0a3f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x2779ad0) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#10 0x00007f9a05a0a67d in KScreenDaemon::applyConfig (this=0x2779ad0) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89
Comment 20 drdrnewman 2013-06-08 07:13:44 UTC
Created attachment 80387 [details]
New crash information added by DrKonqi

kded4 (4.10.3) on KDE Platform 4.10.3 using Qt 4.8.4

- What I was doing when the application crashed:

Sleeping.
Jun  8 00:10:45 localhost kernel: [116194.289716] kded4[22775]: segfault at 10 ip 00007f04e6f15d10 sp 00007fffbcc86268 error 4 in libkscreen.so.0.0.92[7f04e6f0c000+10000]

- Custom settings of the application:

Note that when I restart kded4 from the command line (so I can send this report), I get the following errors:

dave@davidrnewman:/var/log$ kded4
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
QDBusObjectPath: invalid path ""
QDBusObjectPath: invalid path "/modules/muon-notifier"
kded(10662): The kded module name ' "muon-notifier" ' is invalid! 
QDBusConnection for control created "/Mixers/PulseAudio__Playback_Devices_1/alsa_output_pci_0000_02_00_1_hdmi_stereo" 
QDBusConnection for control created "/Mixers/PulseAudio__Playback_Devices_1/alsa_output_pci_0000_00_1b_0_analog_stereo" 
QDBusConnection for control created "/Mixers/PulseAudio__Capture_Devices_1/alsa_input_pci_0000_00_1b_0_analog_stereo" 
dave@davidrnewman:/var/log$ QDBusConnection for control created "/Mixers/PulseAudio__Playback_Streams_1/restore_sink_input_by_media_role_event" 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(10662) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662)/Network Management (NetworkManager backend) ConnectionDbus::fromDbusMap: Setting  "ipv4" not initialized 
kded(10662)/Network Management (NetworkManager backend) ConnectionDbus::fromDbusMap: Setting  "ipv6" not initialized 
kded(10662)/Network Management (NetworkManager backend) ConnectionDbus::fromDbusMap: Setting  "802-1x" not initialized 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) ColorD::deviceChanged: Output not found 
kded(10662) ProfileUtils::createIccProfile: EDID ICC Profile already exists "/home/dave/.local/share/icc/edid-e7ec2e5dc1213e35b1c14b7a7efe0481.icc" 

dave@davidrnewman:/var/log$ kded(10662)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(10662)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(10662)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider 
kded(10662)/kmix sink_input_cb: Ignoring sink-input due to it being designated as an event and thus handled by the Event slider

-- Backtrace (Reduced):
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.92/src/output.cpp:104
#7  0x00007f9322766afc in Generator::extendToRight (this=this@entry=0x15d87d0, outputs=...) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:322
#8  0x00007f9322768c74 in Generator::idealConfig (this=0x15d87d0) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:83
#9  0x00007f93227613f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x15c3d40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#10 0x00007f932276167d in KScreenDaemon::applyConfig (this=0x15c3d40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89
Comment 21 Cliff Ingham 2013-06-13 14:28:14 UTC
I believe a patch finally made it through Ubuntu's release process.  However, the KDED segfault now occurs when going into power save mode, rather than when coming out of it.
Comment 22 Cliff Ingham 2013-06-13 14:29:11 UTC
Application: KDE Daemon (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f6593e847c0 (LWP 2318))]

Thread 5 (Thread 0x7f656d7b5700 (LWP 2334)):
#0  0x00007f658e83faec in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f658e84014c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f658e8406ba in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f656daa54f6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f658e863eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f65821e21b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#6  0x00007f658ef14f8e in start_thread (arg=0x7f656d7b5700) at pthread_create.c:311
#7  0x00007f6591704e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f656cda8700 (LWP 2335)):
#0  0x00007f65916f83cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f658e8401dc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f658e840304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6592b2a036 in QEventDispatcherGlib::processEvents (this=0x7f65400008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6592afa38f in QEventLoop::processEvents (this=this@entry=0x7f656cda7cc0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f6592afa618 in QEventLoop::exec (this=this@entry=0x7f656cda7cc0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f65929fc410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f6574a4a6e5 in KCupsConnection::run() () from /usr/lib/libkcupslib.so
#8  0x00007f65929febec in QThreadPrivate::start (arg=0x1df8ac0) at thread/qthread_unix.cpp:338
#9  0x00007f65821e21b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#10 0x00007f658ef14f8e in start_thread (arg=0x7f656cda8700) at pthread_create.c:311
#11 0x00007f6591704e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f6567fff700 (LWP 2336)):
#0  0x00007f658e87f359 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f658e87f5e9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f658e83f9c2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f658e8400fe in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f658e840304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f6592b2a036 in QEventDispatcherGlib::processEvents (this=0x7f654c0008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f6592afa38f in QEventLoop::processEvents (this=this@entry=0x7f6567ffed00, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f6592afa618 in QEventLoop::exec (this=this@entry=0x7f6567ffed00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f65929fc410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#9  0x00007f65929febec in QThreadPrivate::start (arg=0x1dc4020) at thread/qthread_unix.cpp:338
#10 0x00007f65821e21b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#11 0x00007f658ef14f8e in start_thread (arg=0x7f6567fff700) at pthread_create.c:311
#12 0x00007f6591704e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f65677fe700 (LWP 2339)):
#0  0x00007f65916f83cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f658e8401dc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f658e840304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f6592b2a036 in QEventDispatcherGlib::processEvents (this=0x7f65440008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f6592afa38f in QEventLoop::processEvents (this=this@entry=0x7f65677fdcd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f6592afa618 in QEventLoop::exec (this=this@entry=0x7f65677fdcd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f65929fc410 in QThread::exec (this=this@entry=0x1cdd240) at thread/qthread.cpp:542
#7  0x00007f6592adbedf in QInotifyFileSystemWatcherEngine::run (this=0x1cdd240) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f65929febec in QThreadPrivate::start (arg=0x1cdd240) at thread/qthread_unix.cpp:338
#9  0x00007f65821e21b4 in ?? () from /usr/lib/nvidia-313-updates/libGL.so.1
#10 0x00007f658ef14f8e in start_thread (arg=0x7f65677fe700) at pthread_create.c:311
#11 0x00007f6591704e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f6593e847c0 (LWP 2318)):
[KCrash Handler]
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.92/src/output.cpp:104
#7  0x00007f6576756afc in Generator::extendToRight (this=this@entry=0x1da5cd0, outputs=...) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:322
#8  0x00007f6576758c74 in Generator::idealConfig (this=0x1da5cd0) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:83
#9  0x00007f65767513f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x1da9360) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#10 0x00007f657675167d in KScreenDaemon::applyConfig (this=0x1da9360) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89
#11 0x00007f6592b100ef in QMetaObject::activate (sender=sender@entry=0x1d7a1b0, m=m@entry=0x7f6576747b60 <KScreen::Output::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#12 0x00007f6576541063 in KScreen::Output::isConnectedChanged (this=this@entry=0x1d7a1b0) at /build/buildd/libkscreen-0.0.92/obj-x86_64-linux-gnu/src/output.moc:272
#13 0x00007f6576541083 in KScreen::Output::setConnected (this=this@entry=0x1d7a1b0, connected=<optimized out>) at /build/buildd/libkscreen-0.0.92/src/output.cpp:308
#14 0x00007f657610eb9a in XRandROutput::updateKScreenOutput (this=this@entry=0x1daddb0, output=0x1d7a1b0) at /build/buildd/libkscreen-0.0.92/backends/xrandr/xrandroutput.cpp:367
#15 0x00007f6576109629 in XRandRConfig::updateKScreenConfig (this=0x1dadfc0, config=0x1d63150) at /build/buildd/libkscreen-0.0.92/backends/xrandr/xrandrconfig.cpp:107
#16 0x00007f657654038c in KScreen::ConfigMonitor::Private::updateConfigs (this=0x1dc0f10) at /build/buildd/libkscreen-0.0.92/src/configmonitor.cpp:46
#17 0x00007f65765403dd in KScreen::ConfigMonitor::notifyUpdate (this=0x1dc0840) at /build/buildd/libkscreen-0.0.92/src/configmonitor.cpp:89
#18 0x00007f6576107102 in XRandR::updateOutput (this=<optimized out>, output=584) at /build/buildd/libkscreen-0.0.92/backends/xrandr/xrandr.cpp:116
#19 0x00007f6592b100ef in QMetaObject::activate (sender=sender@entry=0x1d5bd10, m=m@entry=0x7f6576312980 <XRandRX11Helper::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fff3459c370) at kernel/qobject.cpp:3539
#20 0x00007f6576108112 in XRandRX11Helper::outputChanged (this=this@entry=0x1d5bd10, _t1=584) at /build/buildd/libkscreen-0.0.92/obj-x86_64-linux-gnu/backends/xrandr/xrandrx11helper.moc:120
#21 0x00007f6576108695 in XRandRX11Helper::x11Event (this=0x1d5bd10, event=0x7fff3459c4c0) at /build/buildd/libkscreen-0.0.92/backends/xrandr/xrandrx11helper.cpp:140
#22 0x00007f65938a397d in publicX11Event (e=0x7fff3459c4c0, this=<optimized out>) at ../../kdeui/kernel/ksystemeventfilter.cpp:43
#23 KSystemEventFilterPrivate::filterEvent (this=0x1d5a330, message=0x7fff3459c4c0) at ../../kdeui/kernel/ksystemeventfilter.cpp:102
#24 0x00007f6592aee11e in QAbstractEventDispatcher::filterEvent (this=0x0, message=0x0, message@entry=0x7fff3459c4c0) at kernel/qabstracteventdispatcher.cpp:539
#25 0x00007f6591f47028 in x11EventSourceDispatch (s=0x1b1d870, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:143
#26 0x00007f658e83ff05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f658e840248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f658e840304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f6592b2a016 in QEventDispatcherGlib::processEvents (this=0x192e670, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#30 0x00007f6591f471ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x00007f6592afa38f in QEventLoop::processEvents (this=this@entry=0x7fff3459c890, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007f6592afa618 in QEventLoop::exec (this=this@entry=0x7fff3459c890, flags=...) at kernel/qeventloop.cpp:204
#33 0x00007f6592affcf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#34 0x00007f6591e9fffc in QApplication::exec () at kernel/qapplication.cpp:3828
#35 0x00007f657ceab050 in kdemain (argc=1, argv=0x19a81e0) at ../../kded/kded.cpp:925
#36 0x00000000004084ea in launch (argc=argc@entry=1, _name=_name@entry=0x40b167 "kded4", args=args@entry=0x0, cwd=cwd@entry=0x0, envc=envc@entry=0, envs=<optimized out>, envs@entry=0x0, reset_env=reset_env@entry=false, tty=tty@entry=0x0, avoid_loops=avoid_loops@entry=false, startup_id_str=startup_id_str@entry=0x40aff6 "0") at ../../kinit/kinit.cpp:738
#37 0x0000000000405b69 in main (argc=4, argv=<optimized out>, envp=0x7fff3459d510) at ../../kinit/kinit.cpp:1853
Comment 23 Alex Fiestas 2013-06-13 16:38:31 UTC
Git commit 7d1f6fd7f129251485fced26a41e6cc693dc1358 by Àlex Fiestas.
Committed on 13/06/2013 at 18:34.
Pushed by afiestas into branch 'master'.

If no connected outputs are found, do nothing

Our name is kscreen, we can handle dozens of configurations but we can't
handle having no screens (facepalm). This fixes that.

M  +5    -0    kded/generator.cpp
A  +112  -0    tests/configs/workstationWithNoConnectedScreens.json
A  +19   -0    tests/configs/workstationWithoutScreens.json
M  +30   -0    tests/testgenerator.cpp

http://commits.kde.org/kscreen/7d1f6fd7f129251485fced26a41e6cc693dc1358
Comment 24 Cliff Ingham 2013-06-13 17:09:36 UTC
lol.
Isn't that always the way of things :)
Comment 25 Daniel Vrátil 2013-07-27 11:53:40 UTC
*** Bug 322869 has been marked as a duplicate of this bug. ***
Comment 26 corktowner 2013-08-02 19:05:17 UTC
Created attachment 81534 [details]
New crash information added by DrKonqi

kded4 (4.10.5) on KDE Platform 4.10.5 using Qt 4.8.4

- What I was doing when the application crashed:
Unlocking my screen, I do, however have the euphoria screen saver enabled. Nvidia Linux-x86_64 310.44 is installed. It happens everytime.

-- Backtrace (Reduced):
#6  KScreen::Output::id (this=this@entry=0x0) at /build/buildd/libkscreen-0.0.92/src/output.cpp:104
#7  0x00007fb00bbd6afc in Generator::extendToRight (this=this@entry=0x159be80, outputs=...) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:322
#8  0x00007fb00bbd8c74 in Generator::idealConfig (this=0x159be80) at /build/buildd/kscreen-0.0.92/kded/generator.cpp:83
#9  0x00007fb00bbd13f6 in KScreenDaemon::applyIdealConfig (this=this@entry=0x1580f40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#10 0x00007fb00bbd167d in KScreenDaemon::applyConfig (this=0x1580f40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89